Summary: Authen::PAM module for perl to interface with PAM.
Name: perl-Authen-PAM
Version: 0.10
Release: 1.0.5
Copyright: distributable
Group: Applications/CPAN
Source0: Authen-PAM-0.10.tar.gz
Url: http://www.cs.kuleuven.ac.be/~pelov/pam/
BuildRoot: /var/tmp/Authen-PAM
Requires: perl >= 5.6.0
Provides:  perl(Authen::PAM)

%description
This module provides a Perl interface to the PAM library.


%prep
%setup -q -n Authen-PAM-%{version}

%build
OPTIMIZE="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
perl Makefile.PL
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_perlman}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_perlman}/man3 install

gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man3/*.* || :
gzip -9 $RPM_BUILD_ROOT/%{_perlman}/man1/*.* || :

find $RPM_BUILD_ROOT/usr -type f -print |\
	sed "s,^$RPM_BUILD_ROOT,,g" | grep -v perllocal.pod |\
	sed "s,/usr/lib/perl5/man,%doc \0,g" > perl-Authen-PAM-filelist

%files -f perl-Authen-PAM-filelist
%defattr(-,root,root)

%changelog
* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - i386 build updates.
  - Build against i386 version of perl for installarchlib.

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes

* Sun Nov 05 2000 Ryan W. Maple <ryan@gaurdiandigital.com>
- Renamed package to "perl-Authen-PAM" to keep perl module names consistent.

* Wed Oct 11 2000 Ryan W. Maple <ryan@gaurdiandigital.com>
- Created initial RPM.
